/* ------------Fonts------need to delet-------- */
@font-face {
  font-family: "Lato";
  src: url(../assets/fonts/Lato/Lato-Bold.woff2);
  font-style: normal;
  font-weight: 700;
  text-rendering: optimizeLegibility;
  font-display: swap
}

@font-face {
  font-family: "Lato";
  src: url(../assets/fonts/Lato/Lato-Semibold.woff2);
  font-style: normal;
  font-weight: 600;
  text-rendering: optimizeLegibility;
  font-display: swap
}

@font-face {
  font-family: "Lato";
  src: url(../assets/fonts/Lato/Lato-Medium.woff2);
  font-style: normal;
  font-weight: 500;
  text-rendering: optimizeLegibility;
  font-display: swap
}
@font-face {
  font-family: "Lato";
  src: url(../assets/fonts/Lato/Lato-Regular.woff2);
  font-style: normal;
  font-weight: 400;
  text-rendering: optimizeLegibility;
  font-display: swap
}

/* --------reset----------------- */


:after, :before, a, abbr, acronym, address, applet, article, aside, audio, b, big, blockquote, body, button, canvas, caption, center, cite, code, dd, del, details, dfn, div, dl, dt, em, embed, fieldset, figcaption, figure, footer, form, h1, h2, h3, h4, h5, h6, header, hr, html, i, iframe, img, input, ins, kbd, label, legend, li, mark, menu, nav, object, ol, output, p, pre, q, ruby, s, samp, section, select, small, span, strike, strong, sub, summary, sup, table, tbody, td, textarea, tfoot, th, thead, time, tr, tt, u, ul, var, video {
  /* font: inherit; */
  vertical-align: baseline;
  border: none;
  outline: 0;
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent
}

article, aside, details, figcaption, figure, footer, header, menu, nav, section {
  display: block
}
html {
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%
}

body {
  font-size: 14px;
  line-height: 1.4em;
  font-family: "Lato", sans-serif;
  color: #313131;
  letter-spacing: -0.02em;
}

a {
  text-decoration: none;
  cursor: pointer
}

img {
  max-width: 100%;
  vertical-align: top
}

img, svg {
  width: 100%;
  height: auto
}

svg {
  overflow: visible
}

ol, ul {
  list-style: none
}

blockquote, q {
  quotes: none
}

blockquote:after, blockquote:before, q:after, q:before {
  content: ""
}

table {
  border-collapse: collapse;
  border-spacing: 0
}

button, input, select, textarea {
  background: none
}

button, input[type=button], input[type=reset], input[type=submit] {
  cursor: pointer
}

input::-ms-clear {
  display: none
}

input[type=number] {
  -moz-appearance: textfield
}

input[type=number]::-webkit-inner-spin-button, input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0
}

b {
  font-weight: 700
}
/* --------------------buttons primary-------------------------------*/

.button_primary_hyper_blue {
  background-color: #00539F;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 46px;
  border-radius: 8px;
  color: #fff;
  font-size: 14px;
  /* margin-top: 20px; */
}
.button_primary_hyper_blue:hover {
  background-color: #0674DA;
}

.button_primary_hyper_blue:active {
  background-color: #023F83;
}

.button_primary_hyper_blue:disabled {
  background-color: #F1F9FF;
  color: #9FA1A8;
  cursor: default;
}
/* --------------------buttons secondary-------------------------------*/
.button_secondary_white_blue {
  color: #00539F;
  padding: 12px 16px;
  border-radius: 8px;
  border: 1px solid #00539F;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  height: 46px;
}
.button_secondary_white_blue:hover {
  background-color: #00539F;
  color: #fff;
}
.button_secondary_white_blue:active {
  background-color: #023F83;
  border: 1px solid #023F83;
}

.button_secondary_white_blue:disabled {
  color: #9FA1A8;
  border: 1px solid #9FA1A8;
}

.button_secondary_white_blue > svg {
  height: 24px;width: 24px;
}
/* --------------------buttons tertiary-------------------------------*/
.button_tertiary {
  color: #00539F;
  padding: 12px 16px;
  border-radius: 8px;
  border: 1px solid #E7E7E7;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  height: 46px;
}
.button_tertiary:hover {
  border: 1px solid #4984BA;
  background-color: #4984BA;
  color: #fff;
}
.button_tertiary:active {
  border: 1px solid #00539F;
  background-color: #00539F;
  color: #fff;
}

.button_tertiary:disabled {
  border: 1px solid #E7E7E7;
  background-color: #fff;
  color: #E7E7E7;
}

.button_tertiary > svg {
  height: 24px;width: 24px;
}


/* --------------------buttons ghost-------------------------------*/
.button_ghost {
  color: #00539F;
  padding: 0 16px;
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  height: 40px;
  font-size: 14px;
}
.button_ghost:hover {
  background-color: #F9F9F9;
  color: #0674DA;
}
.button_ghost:active {
  background-color: #EFEFEF;
  color: #023F83;
}
.button_secondary_white_blue:disabled {
  color: #9FA1A8;
}
.button_secondary_white_blue:disabled:hover {
  background-color: transparent;
  cursor: default;
  color: #9FA1A8;
}

.button_ghost svg {
  height: 16px;width: 16px;
}

/* --------------------icons tertiary-------------------------------*/

.button_icon_tertiary {
  color: #00539F;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #E7E7E7;
  cursor: pointer;
}

.button_icon_tertiary:hover {
  border: 1px solid #4984BA;
  background-color: #4984BA;
  color: #fff;
}
.button_icon_tertiary:active {
  border: 1px solid #00539F;
  background-color: #00539F;
  color: #fff;
}
.button_icon_tertiary:disabled {
  border: 1px solid #E7E7E7;
  background-color: #fff;
  color: #E7E7E7;
}

/* .button_icon_tertiary:hover path {
  fill: #fff;
} */

/* --------------------icons ghost-------------------------------*/

.button_icon_ghost {
  color: #00539F;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.button_icon_ghost:hover {
  background-color: #F9F9F9;
  color: #0674DA;
}
.button_icon_ghost:active {
  background-color: #EFEFEF;
  color: #023F83;
}
.button_icon_ghost:disabled {
  color: #9FA1A8;
}

/* --------------------icon button tertiary-------------------------------*/

.button_icon_tertiary {
  color: #00539F;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  border: 1px solid #E7E7E7;
  border-radius: 8px;
}

.button_icon_tertiary:hover {
  background-color: #4984BA;
  color: #fff;
  border: 1px solid #4984BA;

}
.button_icon_tertiary:active {
  background-color: #00539F;
  color: #fff;
  border: 1px solid #00539F;

}
.button_icon_tertiary:disabled {
  color: #9FA1A8;
  border: 1px solid #E7E7E7;
}


/* --------------------link-------------------------------*/

.link_cart {
  display: flex;
  align-items: center;
  gap: 12px;
  cursor: pointer;
  border-bottom: 1px solid transparent;
  width: max-content;
}
.link_cart {
  color: #00539F;
}

.link_cart:hover {
  color: #0674DA;
  border-bottom: 1px solid #0674DA;
}
.link_cart:active {
  color: #023F83;
  border-bottom: 1px solid #023F83;

}
.link_cart:visited {
  color: #00539f;
  border-bottom: 1px solid transparent;
}
.link_cart:visited:hover {
  color: #0674DA;
  border-bottom: 1px solid #0674DA;
}
.link_cart:visited:active {
  color: #023F83;
  border-bottom: 1px solid #023F83;
}

.link_cart:disabled {
  color: #68696F;
  border-bottom: 1px solid transparent;
  cursor: default;
}

.link_cart svg {
  height: 20px;
  width: 20px;
}
/* ----------------------option-Single select------------------------------------- */
.option_single_select {
  color: #68696F;
  border: 1px solid transparent;
  font-size: 14px;
}
.option_single_select svg {
  color: transparent;
}

.option_single_select:hover {
  background-color: #F9F9F9;
}
.option_single_select:active {
  background-color: #F4F7FA;
}
.option_single_selected {
  color: #00539F;
  border-color: #00539F;
  background-color: #fff;
}
.option_single_selected svg {
  color: #00539F;
}


/* --------------------input search-------------------------------*/
.input_search-cart {
  width: 100%;
  height: 48px;
  margin-top: 16px;
  border-radius: 8px;
  border: 1px solid #E7E7E7;
  padding: 10px 16px;
  margin-bottom: 24px;
  display: flex;
  gap: 8px;
  align-items: center;
  transition: border 0.2s ease-in-out;
  font-size: 14px;
}

.input_search-cart:hover,
.input_search-cart:focus-within {
  border: 1px solid #00539F;
}

.input_search-cart:has(input:disabled) {
  background-color: #F9F9F9;
  border: 1px solid #F9F9F9;
}
.input_search-cart input::placeholder {
  font-family: 'Lato', sans-serif;
  color: #68696F;
  font-size: 14px;
  line-height: 1.4;
  width: 100%;
}
.input_search-cart:focus-within input::placeholder {
  color: #9FA1A8;
}
.input_search-cart:has(input:disabled) input::placeholder {
  color: #9FA1A8;
}
.input_search-cart:has(input:disabled) svg {
  color: #9FA1A8;
}
.input_search-cart svg {
  color: #68696F;
  width: 24px;
  height: 24px;
}
.input_search-cart input {
  width: 100%;
  height: 24px;
  border: none;
  outline: none;
  background: transparent;
}
.input_search-cart.error {
  border: 1px solid #C72A2A;
}

@media (max-width: 768px) {
  .input_search-cart {
    height: 32px;
    margin-top: 0;
    border-radius: 6px;
    border: 1px solid #E7E7E7;
    padding: 6.5px 12px;
    margin-bottom: 0;
  }

  .header_cart .f_social {
    display: none;
  }

  .header__phone__link {
    font-size: 24px !important;
  }
}


/* --------------------pop-up input search-------------------------------*/
.searchInput-popup_cart { display: flex;}
.searchInput-popup_cart > .button_icon_ghost {
  height: 24px;
  max-height: 24px;
  max-width: 24px;
  min-width: 24px;
  display: none;
  border-radius: 6px;
}
.modal__content_cart-package-searchInput-flex > .find_cart-package-cross-sale {
  height: 48px;
  width: 100%;
  border: 1px solid #00539F;
  border-radius: 6px;
  padding: 3.5px 8px 3.5px 12px;
  font-size: 14px;
  line-height: 1.3;
}
.searchInput-popup_cart-cross {
  display: none;
}
@media (max-width: 768px) {
  .input_search-cart.loopInput-mobile svg {
    display: none;
  }
}
.input_search-cart svg {
  color: #68696F;
  width: 24px;
  height: 24px;
}

@media (min-width: 768px) {
  .find_cart-package-cross-sale-desktop > svg {display: none;}
}

/* ----------footer---------- */
/* .footer__container_cart {
  width: calc(100vw - 168px);
  max-width: 1272px;
  margin: 0 auto;
} */

[class*="__container_cart"] {
  width: calc(100vw - 168px);
  max-width: 1272px;
  margin: 0 auto;
}


/* .footer__container_cart {
  max-width: 1272px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(12, 84px);
  gap: 24px;
} */

.footer_grey { background-color: #F4F7FA; padding: 64px 0;}
.footer_grey_boxes {
  display: grid;
  grid-template-columns: repeat(3, minmax(250px, 408px));
  gap: 2vw;
}
.f_title_boxes {
  font-weight: 700;
  font-size: 18px;
  margin-bottom: 16px;
}
.f_box {
  margin-top: 16px;
  display: grid;
  grid-template-columns: repeat(2, minmax(100px, 204px));
  gap: 1.8vw;
}
.f_box-item {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.f_phone-contact {
  font-weight: 700;
  font-size: 36px;
  color: #00539F;
  margin-top: 16px;
  line-height: 1;
  transition: color .2s linear;
}

.f_phone-contact:hover {
  color: #084076;
}

.f_secondary_text {
  font-size: 14px;
  color: #68696F;
  margin-top: 8px;
}
.f_social {
  margin-top: 32px;
}

.f_social div {
  display: flex;
  gap: 8px;
  margin-top: 16px;
}
.f_social .button_icon_tertiary {
  width: 32px;
  height: 32px;
}
.f_social .button_icon_tertiary > svg {
  width: 20px;
  height: 20px;
}

.footer_white { background-color: #FFFFFF; padding: 16px 0;}
.footer_license {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer_license .logo_f_h {
  display: block;
  width: 128px;
  height: 46px;
}
.footer_license div {
  font-size: 12px;
  color: #68696F;
  display: flex;
  gap: 8px;
  align-items: center;
}
.footer_license div > img {
  width: 13.6px;
  height: 13.6px;
}
.logo_f_h_mob {
  width: 30px;
  height: 30px;
  display: none;
}
.footer_grey { margin-top: 80px;}


@media (max-width: 1024px) {
  .footer_grey { padding: 32px 0; margin-top: 56px;}
  .footer_grey_boxes {
    grid-template-columns: 1fr;
    gap: 24px;
  }
  .f_box {
    margin-top: 12px;
    grid-template-columns: 1fr;
    gap: 8px;
  }
  .footer_license .logo_f_h {
    display: none;
  }

}
@media (max-width: 768px) {
  [class*="__container_cart"] {
    width: calc(100vw - 32px);
  }

  /* .footer__container_cart {
    width: calc(100vw - 32px);
  } */
  .logo_f_h_mob {
    display: block;
  }
  .footer_white { padding: 12px 0;}

}

/* ------header------------- */
.header_cart {
  height: 72px;
  border-bottom: 1px solid #E7E7E7;
  position: fixed;
  z-index: 10;
  width: 100%;
  background-color: #FFFFFF;
  padding: 13px 0;
  top: 0;
  left: 0;
}

.header_cart .f_social > div,
.header_cart .f_social {
    margin-top: 0;
}

.header__phone__link {
    font-size: 36px;
    font-weight: 700;
    line-height: 1;
    color: #00539F;
    margin-top: 4px;
}

.h_logo .logo_f_h {
  display: block;
  min-width: 128px;
  width: 128px;
  max-width: 128px;
  height: 46px;
}
.header__container_cart {
  display: flex;
  justify-content: space-between;
  gap: 24px;
}
.h_catalog button > svg {
  height: 24px;
  width: 24px;
}
.h_catalog {
  width: 117px;
}

.h_catalog button {
  margin-top: 0;
  padding: 0 16px;
  display: flex;
  gap: 8px;
}
.h_cart_location {
  position: relative;
  display: flex;
  height: 46px;
  align-items: center;
  cursor: pointer;
}
.h_catalog .button_primary_hyper_blue > p {font-size: 14px;font-weight: 600;letter-spacing: 0.005em;
}
.h_cart_location > .h_cart_location_icon {
  height: 24px;
  width: 24px;
  color: #68696F;
}
.h_cart_location > p {
  font-size: 14px;
  margin-left: 4px;
  margin-right: 8px;
}
.h_cart_location_arrow {
  height: 4px;
  width: 24px;
  color: #9FA1A8;
}
.h_cart_location:hover {
  color: #00539F;
}
.h_cart_location:hover,
.h_cart_location:hover .h_cart_location_icon,
.h_cart_location:hover p,
.h_cart_location:hover .h_cart_location_arrow {
  color: #00539F !important;
}
.h_cart_location:active,
.h_cart_location:active .h_cart_location_icon,
.h_cart_location:active p,
.h_cart_location:active .h_cart_location_arrow {
  color: #00539F !important;
}

/* ------------------------------------------- */
.header__container_cart div > .button_icon_tertiary {
  height: 32px;
  width: 32px;
}
.header__container_cart div > .button_icon_tertiary svg {
  height: 15px;
  width: 15px;
}
.header_cart_box_b, .h_cart_location-items {
  display: flex;
  gap: 16px;
}
.header_cart_box_b .button_icon_tertiary {position: relative;}
.header_cart_num_package {
  position: absolute;
  top: -9px;
  right: -9px;
  border-radius: 9px;
  height: 18px;
  width: 18px;
  background-color: #FDB913;
  color: #00539F;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
}
.header-cart_input .input_search-cart {
  margin-top: 0;
  margin-bottom: 0;
  height: 46px;
  max-width: 572px;
  /* width: 546px; */
  width: calc(100vw - 412px - 128px - 117px - 24px - 24px - 24px - 84px - 84px);
  min-width: 200px;
}
.input_search-cart-loginPerson .input_search-cart { width: calc(100vw - 383px - 128px - 117px - 24px - 24px - 24px - 84px - 84px)}
.cart_mob_catalog, .header-cart_input-mob {display: none;}
.h_catalog {display: block;}
.only_for_card_header_checkout, .only_for_card_header {justify-content: space-between;}
.only_for_card_header div {
  display: flex; gap: 8px;
}
.header_cart_phone_on_cart {
  font-size: 16px;
  color: #00539F;
  display: flex;align-items: center;justify-content: center;gap: 4px;
}
.header_cart_phone_on_cart svg {
  height: 20px;
  width: 20px;
}
.header_cart_phone_on_cart:hover {
  color: #0674DA;
}
.header_cart_phone_on_cart:active {
  color: #023F83;
}
.mobi_header_cart .mobi_header_cart-phone, .mobi_header_cart_location {
  display: none;
}
.main_face_input_search-cart {
  height: 48px;
  margin-top: 16px;
  margin-bottom: 20px;
  position: relative;
}
.h_catalog_disable_b_no {display: none;}
.h_catalog_disable_b .h_catalog_disable_b_no {display: flex;}
.h_catalog_disable_b .h_catalog_disable_b_yes {display: none;}
.h_catalog_disable_b {cursor: default;}

@media (max-width: 1224px) {
  .header__container_cart {
    gap: 16px;
  }
  .header_cart_box_b, .h_cart_location-items {
    gap: 8px;
  }
  .header-cart_input .input_search-cart {
    width: calc(100vw - 84px - 128px - 16px - 117px - 16px - 16px - 175.6px - 16px - 189px - 84px);
  }
  .input_search-cart-loginPerson .input_search-cart { width: calc(100vw - 154px - 175.6px - 128px - 117px - 16px - 16px - 16px - 16px - 84px - 84px)}

}
@media (max-width: 1024px) {
  .header_cart {
    height: 64px;
    padding: 16px 0;
  }
  .header__container_cart {
    display: flex;
    gap: 0;
    justify-content: space-between;
  }
  .h_logo .logo_f_h, .h_catalog, .header-cart_input-desktop {
    display: none;
  }
  .logo_f_h_mob, .cart_mob_catalog, .header-cart_input-mob {
    display: flex;
  }
  .header-cart_input-mob, .header_cart_box_b {gap: 4px}
  .header__container_cart div > .button_icon_tertiary {
    height: 32px;
    width: 32px;
  }
  .header__container_cart div > .button_icon_tertiary svg {
    height: 20px;
    width: 20px;
  }
  .header__container_cart div > .button_secondary_white_blue {height: 32px; font-size: 12px;}
  .h_cart_location {display: none;}
  .mobi_header_cart .mobi_header_cart-phone {display: flex;}
  .mobi_header_cart .header_cart_box_b {display: none;}
  .mobi_header_cart_location {display: flex;height: 32px;}
  .mobi_header_cart_location .h_cart_location_icon { height: 18px; width: 18px;}
  .mobi_header_cartLogoLocal {display: flex;gap: 8px;}
  /* .mobi_header_cart .h_cart_location-items .mobi_header_cart_location {display: flex;} */
}

.right_social_box {
    display: flex;
    align-items: center;
    gap: 47px;
}
/* ----select language------------ */
